| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/shaderexp.h File Reference

An evaluable expression attached to a shader variable. More...

`#include "csextern.h"`
`#include "csutil/strhash.h"`
`#include "csutil/array.h"`
`#include "csutil/leakguard.h"`
`#include "csgeom/vector4.h"`
`#include "ivideo/shader/shader.h"`

Go to the source code of this file.

## Classes
class | csShaderExpression
| An evaluable expression attached to a shader variable. More...
struct | csShaderExpression::oper
struct | csShaderExpression::oper_arg

## Detailed Description

An evaluable expression attached to a shader variable.

Definition in file shaderexp.h.